Distributed Virtual Switch Manager Query Supported Network Offload Spec

Distributed Virtual Switch Manager Query Supported Network Offload Spec
This operation returns a list of network offload specifications that are compatible with the given DistributedVirtualSwitch product specification.

This operation returns a list of network offload specifications that are compatible with the given DistributedVirtualSwitch product specification.

Since: vSphere API Release 8.0.0.1

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QuerySupportedNetworkOffloadSpec
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "switchProductSpec": {}
}
{
    "switchProductSpec": {
        "_typeName": "string",
        "name": "string",
        "vendor": "string",
        "version": "string",
        "build": "string",
        "forwardingClass": "string",
        "bundleId": "string",
        "bundleUrl": "string"
    }
}
switchProductSpec
Required

The productSpec of a DistributedVirtualSwitch.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "id": "string",
        "name": "string",
        "types": [
            "string"
        ],
        "dpuCapability": {
            "_typeName": "string",
            "networkOffloadSupported": false,
            "activeStandbyModeSupported": false
        }
    }
]
array of object
Optional

Describe the network offload specification of a VmwareDistributedVirtualSwitch.

Since: vSphere API Release 8.0.0.1


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"switchProductSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QuerySupportedNetworkOffloadSpec